| QxOrm 1.4.9 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions
qx::QxClass< T >::invokeHelper< QObject, qx::trait::no_base_class_defined, dummy > Struct Template Reference

List of all members.

## Static Public Member Functions
static qx_bool | invoke (const QString &sKey, QObject *pOwner, const QString &params, qx::any *ret, IxFunction_ptr pFct)
static qx_bool | invoke (const QString &sKey, QObject *pOwner, const type_any_params &params, qx::any *ret, IxFunction_ptr pFct)
static qx_bool | invoke (const QString &sKey, const QString &params, qx::any *ret, IxFunction_ptr pFct)
static qx_bool | invoke (const QString &sKey, const type_any_params &params, qx::any *ret, IxFunction_ptr pFct)

## Detailed Description

### template<class T>
template<int dummy>
struct qx::QxClass< T >::invokeHelper< QObject, qx::trait::no_base_class_defined, dummy >

Definition at line 246 of file QxClass.h.

## Member Function Documentation

template<class T>
template<int dummy>

static qx_bool qx::QxClass< T >::invokeHelper< QObject, qx::trait::no_base_class_defined, dummy >::invoke | ( | const QString & | sKey,
|  | QObject * | pOwner,
|  | const QString & | params,
|  | qx::any * | ret,
|  | IxFunction_ptr | pFct
| ) |  | `[inline, static]`

Definition at line 248 of file QxClass.h.

template<class T>
template<int dummy>

static qx_bool qx::QxClass< T >::invokeHelper< QObject, qx::trait::no_base_class_defined, dummy >::invoke | ( | const QString & | sKey,
|  | QObject * | pOwner,
|  | const type_any_params & | params,
|  | qx::any * | ret,
|  | IxFunction_ptr | pFct
| ) |  | `[inline, static]`

Definition at line 251 of file QxClass.h.

template<class T>
template<int dummy>

static qx_bool qx::QxClass< T >::invokeHelper< QObject, qx::trait::no_base_class_defined, dummy >::invoke | ( | const QString & | sKey,
|  | const QString & | params,
|  | qx::any * | ret,
|  | IxFunction_ptr | pFct
| ) |  | `[inline, static]`

Definition at line 254 of file QxClass.h.

template<class T>
template<int dummy>

static qx_bool qx::QxClass< T >::invokeHelper< QObject, qx::trait::no_base_class_defined, dummy >::invoke | ( | const QString & | sKey,
|  | const type_any_params & | params,
|  | qx::any * | ret,
|  | IxFunction_ptr | pFct
| ) |  | `[inline, static]`

Definition at line 257 of file QxClass.h.

The documentation for this struct was generated from the following file:

- C:/Dev/_Perso/QxOrm/include/QxRegister/QxClass.h